@charset "UTF-8";
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap');
*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}
body{
    height: 100vh;
}
html{
    scroll-behavior: smooth;
}
:root{
    --cor-neutra-branca:#f5f5f5;
    --cor-preta:#171717;
    --cor-copyright:#0e0c0c;
    --cor-ciza:#a8a29e;
}


#menu_hamburguer {/*não aparecerá por padrão*/
    display: none;
    font-size: 32px;
    cursor: pointer;
}
menu{
    display: flex;
    height: 90px;
    justify-content: space-around;
    position: fixed; /* Fixa o menu no topo */
    top: 0;
    left: 0;
    width: 100%;
    background-color: #fff;
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.1); 
    z-index: 1000; 
}
.logo_getinfo img{
    width: 100px;
    height: 85px;
}
nav{
    display: flex;
    align-items: center;
    gap: 25px;
}
/* Estilos para os links do nav */
.a_hover {
    text-decoration: none; 
    color: #333; 
    position: relative; 
    transition: color 0.3s ease; 
}

.a_hover:hover {
    color: #F15B43; 
}
.botao_header {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #F15B43; 
    color: #fff; 
    height: 30px;
    border: none; 
    border-radius: 5px; 
    padding: 10px 20px; 
    font-size: 14px; 
    cursor: pointer; 
    transition: background-color 0.3s ease; 
}

.botao_header a{
    color: white;
}
.botao_header:hover{
    transform: scale(1.005); 
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.3); 
}
/* Estilo para o link dentro do botão */
button a {
    text-decoration: none;
}
.dropdown {
    position: relative;
}

#iconenav {
    vertical-align: middle; 
}

/* Estilos para o menu dropdown */
.dropdown-menu {
    display: none; 
    position: absolute; 
    top: 100%; 
    left: 0;
    background-color: #fff; 
    border: 1px solid #ccc; 
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15); 
    z-index: 1000; 
    min-width: 130px; 
}

/*  itens do menu  */
.dropdown-menu li {
    list-style: none; 

}

/* links dentro do menu dropdown */
.dropdown-menu a {
    text-transform: lowercase;
    display: block; 
    padding: 10px 15px; 
    color: #333; 
    text-decoration: none; 
}

.dropdown-menu a:hover {
    background-color: #f0f0f0; 
}

/*quando passa*/
.dropdown:hover .dropdown-menu {
    display: block;
}
/*grupo de capmanhas*/
main {
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.container_busca {
    display: flex;
    text-align: center;
    margin-bottom: 20px;
    width: 500px;
}

#busca {
    padding: 10px;
    width: 100%;
    font-size: 16px;
}
.icone_busca{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    background-color: #F15B43;
    color: white;
    cursor: pointer;
}
.container_grupo{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 50px;
    margin-bottom: 20px;
}
.grupo{
    border: none;
    border-radius: 5px;
    box-shadow: 1px 1px 6px rgba(0, 0, 0, 0.603);
    height: 500px;
    width: 350px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}
.grupo:hover {
    transform: scale(1.04);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.3);
}
/*todas com mesma largura*/
.img_grupo {
    width: 100%;
    height: 50%; 
}
.img_grupo img {
    width: 100%;
    height: 100%;
    object-fit: cover; /*sem distorcer */
    border-radius: 5px 5px 0 0;
}
.texto_grupo{
    display: flex;
    flex-direction: column;
    padding: 10px; 
}
.texto_grupo h1{
    color: black;
    font-size: 1.6em;
    padding-left: 10px;
}
.texto_grupo p{
    color: gray;
    text-align: justify;
    padding: 10px;
}
.container_botao_doar{
    display: flex;
    gap: 200px;
}
.botao_doar {
    padding-left: 10px;
}
.botao_doar button {
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #F15B43;
    cursor: pointer;
    transition: background-color 0.3s ease, box-shadow 0.3s ease, transform 0.3s ease; /* Adicionando a transição */
}
.botao_doar button:hover {
    box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.219);
    transform: translateY(-1px); 
}
.botao_doar a {
    color: white;
}
.categoria{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #FEF7E8;
    color: #F9BD69;
    border-radius: 10px;
    width: 150px;
    height: 30px;
}
#meio_ambiente{
    background-color: #EDFAF0;
    color: #54a392;
}
#educacao{
    background-color: #EDFAF0;
    color: #6DD4A4;
}
#animal{
    background-color: #EDFAF0;
    color: #F15B43;
}
/*icone salvar*/
#salvar{
    font-size: 30px;
}
/*Inicio do cabeçalho*/
footer{
    height: 220px;
    font-family: 'Inter',sans-serif;
    letter-spacing: 1px;
    width: 100%;
    color: var(--cor-neutra-branca);
}
/*container*/
#footer_container{
    background-color: var(--cor-preta);
    display: grid;
    grid-template-columns: repeat(4,1fr);
    padding: 3rem 3.5rem;
}
/*palavra logo*/
#footer_contatos h4{
    margin-bottom: 0.75rem;
}
/*container dos icones*/
#midias_sociais{
    display: flex;
    gap: 2rem;
}
/*links e icones*/
#midias_sociais .link_midias{
    display: flex;
    align-items: center;
    justify-content: center;
    height: 2.5rem;
    width: 2.5rem;
    color: var(--cor-neutra-branca);
    border-radius: 50%;
    transition: all 0.4s;
}
/*configuração do link*/
#midias_sociais .link_midias{
    text-decoration: none;
}

.link_midias:hover{
    transform: scale(1.1) translateY(-3px); 
    opacity: 0.9; 
}
/*tamanho do icone*/
#midias_sociais .link_midias i{
    font-size: 1.25rem;
}
/*icone em individual*/
#instagram{
    background: linear-gradient(#7f37c9, #Ff2992, #ff9807); 
}
#facebook{
    background-color: #4267b3;
}
#linkedin {
    background-color: #0A66C2; 
}

#email {
    background-color: #5f6368; 
}
/*listas*/
.footer_lista{ /*para adiconar gap */
    display: flex;
    flex-direction: column;
    list-style: none;
}
/*links da parte de listas*/
.footer_lista .link_midias{
    text-decoration: none;
    color:var(--cor-ciza) ;
    transition: all 0.4s;
}
.footer_lista .link_midias:hover{
    color: #F15B43;
}
/*copyright*/
#copyright{
    display: flex;
    justify-content: center;
    background-color:var(--cor-copyright);
    padding: 1.2rem;
}
